Subject: Re: Regression in 32-bit ppc kernel

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 28 Apr 2012 08:26:13 +1000

On Fri, 2012-04-27 at 10:38 -0500, Larry Finger wrote:

> Sorry, I was unable to find anything in debugfs to help me learn about interrupt 
> mapping. The value of CONFIG_NR_IRQS is already 512. I have not tried reducing 
> it to 128. The setting for CONFIG_SPARSE_IRQ was on, and changing it to off did 
> not make any difference.
> 
> I finished the bisection, which led to
> 
> commit a79dd5ae5a8f49688d65b89a859f2b98a7ee5538
> Author: Benjamin Herrenschmidt <[email-masked]>
> Date:   Thu Dec 15 11:13:03 2011 +1100
> 
>      tty/serial/pmac_zilog: Fix suspend & resume
> 
> As this seemed to be an improbable result, I did the full test by checking out 
> the previous commit (43ca5d3). That resulted in a "good" result. Then I used 
> quilt to add commit a79dd5a as a patch and the fault returned. I then noticed 
> that you said in the commit message that "I removed some code for handling 
> unexpected interrupt which should never be hit...". It appears that my box does 
> indeed hit such an unexpected interrupt.
> 
> I could always get rid of the fault by disabling CONFIG_SERIAL_PMACZILOG, but I 
> would like to fix the problem if possible.

Right, it should be fixed. I need to understand where the unexpected
interrupt comes from. Can you tell me (or remind me) what specific
machine model you are using ? Are you putting the console on the serial
port ?

Cheers,
Ben.